## maxwell-session 0.8.2-1

=== Makefile ===
# Copyright 2006-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License, version 2.1 as published by the Free Software Foundation.

OWNER=root
GROUP=root

all:
	@true

install:
	#@if [ `/usr/bin/id -u` != 0 ]; then echo "Must be root to install"; exit 100; fi
	install --owner $(OWNER) --group $(GROUP) --mode 0770 -d $(DESTDIR)/usr/lib/mw
	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D startxvnc $(DESTDIR)/usr/lib/mw/startxvnc
	install --owner $(OWNER) --group $(GROUP) --mode 0750 -D mergeauth $(DESTDIR)/usr/lib/mw/mergeauth

clean:
	@true

=== debian/changelog ===
maxwell-session (0.8.2-1) unstable; urgency=low

  * move log and run files to standard locations

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 11 Jan 2010 16:16:22 -0500

maxwell-session (0.8.1-1) unstable; urgency=low

  * add mergeauth script

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 11 Jan 2010 13:38:50 -0500

maxwell-session (0.8-1) unstable; urgency=low

  * Initial release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 11 Jan 2010 11:41:40 -0500

=== debian/control ===
Source: maxwell-session
Section: unknown
Priority: extra
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.7.3
Homepage: http://hubzero.org

Package: maxwell-session
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vnc4server
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/maxwell-session.sgml > maxwell-session.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/maxwell-session.
	$(MAKE) DESTDIR=$(CURDIR)/debian/maxwell-session install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
